package dev.fitko.fitconnect.api.domain.model.submission;

import dev.fitko.fitconnect.api.domain.model.event.authtags.AuthenticationTags;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Value;

import java.util.UUID;

@Value
@Builder
@AllArgsConstructor
public class SentSubmission {
    UUID destinationId;
    UUID submissionId;
    UUID caseId;
    AuthenticationTags authenticationTags;

    public SentSubmission(final UUID destinationId, final UUID submissionId, final UUID caseId) {
        this.destinationId = destinationId;
        this.submissionId = submissionId;
        this.caseId = caseId;
        authenticationTags = null;
    }
}
